Implement remaining corrections for OFUUID class (remove "FIXME" comments)
2024-04-04 10:36 - Jorg Riesmeier
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Library Estimated time: 0:00 hour
Module: ofstd Compiler:

Operating System:

Description

The implementation of the OFUUID class still contains a few "FIXME" comments. The remaining corrections should be implemented
in order to allow the use in productive environments, e.g. for generating SOP Instance UID values.

Related issues:
Related to DCMTK - Feature #362: Unterstltzung von "UUID as UID" New

History

#3 - 2024-04-04 10:37 - JOrg Riesmeier
- Related to Feature #362: Unterstitzung von "UUID as UID" added

#4 - 2024-08-09 18:33 - Marco Eichelberg

On most operating systems, we could significantly simplify the code because a built-in UUID generation function is available:
e Linux, MacOS, Solaris: void uuid_generate(uuid_t out);
e Windows: RPC_STATUS UuidCreate(UUID *Uuid);
¢ FreeBSD, NetBSD, OpenBSD: void uuid_create(uuid_t *uuid, uint32_t *status);

Unfortunately, Android seems to have no UUID generation function accessible from C/C++.

#5 - 2024-09-12 15:05 - JOorg Riesmeier

- Target version changed from 3.6.9 to 3.7.1+
